FindReplaceDialog Class Reference

Find/Replace dialog. More...

`#include <FindReplaceDialog.h>`

Inheritance diagram for FindReplaceDialog:

## Public Member Functions

| FindReplaceDialog (ScriptEdit *editor, bool replace=false, QWidget *parent=0, Qt::WFlags fl=0)

## Protected Slots

bool | find (bool previous=false)
bool | findPrevious ()
void | replace ()
void | replaceAll ()

## Private Member Functions

QTextDocument::FindFlags | searchFlags ()

## Private Attributes

QCheckBox * | boxCaseSensitive
QComboBox * | boxFind
QComboBox * | boxReplace
QCheckBox * | boxWholeWords
QPushButton * | buttonCancel
QPushButton * | buttonNext
QPushButton * | buttonPrevious
QPushButton * | buttonReplace
QPushButton * | buttonReplaceAll
ScriptEdit * | d_editor

## Detailed Description

Find/Replace dialog.

## Constructor & Destructor Documentation

FindReplaceDialog::FindReplaceDialog | ( | ScriptEdit * | editor,
|  | bool | replace = `false`,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References boxCaseSensitive, boxFind, boxReplace, boxWholeWords, buttonCancel, buttonNext, buttonPrevious, buttonReplace, buttonReplaceAll, find(), findPrevious(), replace(), and replaceAll().

## Member Function Documentation

bool FindReplaceDialog::find | ( | bool | previous = `false` | ) |

protected slot

References boxFind, d_editor, ScriptEdit::find(), and searchFlags().

Referenced by findPrevious(), FindReplaceDialog(), and replace().

bool FindReplaceDialog::findPrevious | ( |  | ) |

inline protected slot

References find().

Referenced by FindReplaceDialog().

void FindReplaceDialog::replace | ( |  | ) |

protected slot

References boxFind, boxReplace, d_editor, and find().

Referenced by FindReplaceDialog().

void FindReplaceDialog::replaceAll | ( |  | ) |

protected slot

References boxFind, boxReplace, d_editor, and searchFlags().

Referenced by FindReplaceDialog().

QTextDocument::FindFlags FindReplaceDialog::searchFlags | ( |  | ) |

private

References boxCaseSensitive, and boxWholeWords.

Referenced by find(), and replaceAll().

## Member Data Documentation

QCheckBox* FindReplaceDialog::boxCaseSensitive

private

Referenced by FindReplaceDialog(), and searchFlags().

QComboBox* FindReplaceDialog::boxFind

private

Referenced by find(), FindReplaceDialog(), replace(), and replaceAll().

QComboBox* FindReplaceDialog::boxReplace

private

Referenced by FindReplaceDialog(), replace(), and replaceAll().

QCheckBox* FindReplaceDialog::boxWholeWords

private

Referenced by FindReplaceDialog(), and searchFlags().

QPushButton* FindReplaceDialog::buttonCancel

private

Referenced by FindReplaceDialog().

QPushButton* FindReplaceDialog::buttonNext

private

Referenced by FindReplaceDialog().

QPushButton* FindReplaceDialog::buttonPrevious

private

Referenced by FindReplaceDialog().

QPushButton* FindReplaceDialog::buttonReplace

private

Referenced by FindReplaceDialog().

QPushButton* FindReplaceDialog::buttonReplaceAll

private

Referenced by FindReplaceDialog().

ScriptEdit* FindReplaceDialog::d_editor

private

Referenced by find(), replace(), and replaceAll().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/FindReplaceDialog.h
- qtiplot/src/scripting/FindReplaceDialog.cpp